Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms
Imports System.IO
Imports ColorCode
Imports SelectPdf

Namespace SelectPdf.Samples
    Partial Public Class HttpCookies
        Inherits Form

        Private url As String = "http://selectpdf.com/demo/view-http-cookies.aspx"

        Private Sub BtnCreatePdf_Click(sender As Object, e As EventArgs) _
            Handles BtnCreatePdf.Click
            Cursor = Cursors.WaitCursor
            Dim file As String = "Document.pdf"

            Try
                ' instantiate a html to pdf converter object
                Dim converter As New HtmlToPdf()

                ' set the HTTP cookies
                converter.Options.HttpCookies.Add(TxtName1.Text, TxtValue1.Text)
                converter.Options.HttpCookies.Add(TxtName2.Text, TxtValue2.Text)
                converter.Options.HttpCookies.Add(TxtName3.Text, TxtValue3.Text)
                converter.Options.HttpCookies.Add(TxtName4.Text, TxtValue4.Text)

                ' create a new pdf document converting an url
                Dim doc As PdfDocument = converter.ConvertUrl(TxtUrl.Text)

                ' save pdf document
                doc.Save(file)

                ' close pdf document
                doc.Close()
            Catch ex As Exception
                MessageBox.Show([String].Format("Error: {0}", ex.Message), "Error", _
                                MessageBoxButtons.OK, MessageBoxIcon.[Error])
                Return
            Finally
                Cursor = Cursors.Arrow
            End Try

            ' open generated pdf
            Try
                System.Diagnostics.Process.Start(file)
            Catch
                MessageBox.Show("Could not open generated pdf document", "Error", _
                                MessageBoxButtons.OK, MessageBoxIcon.[Error])
            End Try
        End Sub

        Public Sub New()
            InitializeComponent()

            TxtUrl.Text = url

            Try
                ' display highlighted sample code
                Dim code As String = File.ReadAllText(AppDomain.CurrentDomain.BaseDirectory + _
                                                      "/../../" + "HttpCookies.vb")
                WBSampleCode.DocumentText = New CodeColorizer().Colorize(code, Languages.VbDotNet)
            Catch
                WBSampleCode.DocumentText = "Sample code not available"
            End Try
        End Sub

        Private Sub LblTestPage_Click(sender As Object, e As EventArgs) Handles LblTestPage.Click
            System.Diagnostics.Process.Start(url)
        End Sub
    End Class
End Namespace
